# Class Level

Defines a message level that may be used to control logging output.

#### Final

#### Hierarchy

- Level

#####
Index

### Constructors

constructor

### Properties

name
name_
value
value_
ALL
DEBUG
FINE
FINER
FINEST
INFO
OFF
SEVERE
WARNING

### Methods

toString

## Constructors

### constructor

- new Level(name, level): Level

- #### Parameters

  - ##### name: string

    the level's name.

  - ##### level: number

    the level's numeric value.

  #### Returns Level

## Properties

### name

name: string

This logger's name.

### name_

name_: string

### value

value: number

The numeric log level.

### value_

value_: number

### `Static` ALL

ALL: Level

Indicates all log messages should be recorded.

#### Constant

### `Static` DEBUG

DEBUG: Level

Log messages with a level of `700` or higher.

#### Constant

### `Static` FINE

FINE: Level

Log messages with a level of `500` or higher.

#### Constant

### `Static` FINER

FINER: Level

Log messages with a level of `400` or higher.

#### Constant

### `Static` FINEST

FINEST: Level

Log messages with a level of `300` or higher.

#### Constant

### `Static` INFO

INFO: Level

Log messages with a level of `800` or higher.

#### Constant

### `Static` OFF

OFF: Level

Indicates no log messages should be recorded.

#### Constant

### `Static` SEVERE

SEVERE: Level

Log messages with a level of `1000` or higher.

#### Constant

### `Static` WARNING

WARNING: Level

Log messages with a level of `900` or higher.

#### Constant

## Methods

### toString

- toString(): string

- #### Returns string

Generated using TypeDoc